Package io.vertx.ext.web.templ.pebble

## Interface PebbleTemplateEngine

- All Superinterfaces:
    `TemplateEngine`

      public interface PebbleTemplateEngine
      extends TemplateEngine

  A template engine that uses the Pebble library. The `TemplateEngine.unwrap()` shall return an object of class `PebbleEngine`
  Author:
    Dan Kristensen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PebbleTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g.
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g.

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render, unwrap`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             String extension)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             String extension,
                                             io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Returns:
        the engine